| error.h | Header File

Header File Index

Routines for error handling

Language Extensions

ENDFINAL
  Terminates a TRY...FINALLY...ENDFINAL block.
ENDTRY
  Terminates a TRY...ONERR...ENDTRY block.
FINALLY
  Begins the termination handler in a TRY...FINALLY...ENDFINAL block.
ONERR
  Begins the error handler in a TRY...ONERR...ENDTRY block.
PASS
  Passes on unhandled errors to a higher level.
TRY
  Starts a protected block of code.

Functions

ER_catch
  Catches an error.
ER_success
  Pops the state from the error stack.
ER_throw
  Throws an error with a constant number.
ER_throwVar
  Throws an error.
ERD_dialog
  Displays an error dialog box.
ERD_process
  Processes an error.
find_error_message
  Returns a TI-Basic error message string.

Global Variables

errCode
  Contains the error number in a TRY...ONERR...ENDTRY block.

Predefined Types

Bool
  An enumeration to describe true or false values.
ERROR_FRAME
  A type designed for capturing a task state.
ErrorCodes
  An enumeration containing all error codes.